/* This header is used to style all the headers in each page the same.*/

.banner {
    position: relative;
    overflow: hidden;
    background-image: url(../../img/Landing_banner-2.webp);
    height: 7em;
    width: 100%;
    margin: 0;
    padding: 0;
}

#banner_title {
    position: relative;
    text-align: center;
    font-weight: lighter;
    font-size: 200%;
    color: white;
    padding: 5px;
    top: -0.5em;
    resize: none;
    white-space: nowrap;
}

#tab_menu{
    position:absolute;
    text-align: center;
    vertical-align: middle;
    width: 100%;
    height: 30%;
    bottom: 0;
    margin: 0;
    background-color: #B7C9E2;
    color: white;
    resize: none;
    white-space: nowrap;
}

#tab_menu #tab{
    transition-duration: 0.45s;
    position: relative;
    display: inline-block;
    vertical-align: middle;
    text-align: center;
    text-decoration: none;
    padding-left: 3em;
    padding-right: 3em;
    font-size: 100%;
    color: black;
}

#linkedin-logo {    
    position: relative;
    text-decoration: none;
    transition-duration: 0.45s;
    top: 15%;
    padding-left: 50;
    padding-right: 50;
    width: auto;
    height: 30px;
}

#github-logo {
    background-image: url(../../img/github-light-mode.png);
    text-decoration: none;
    transition-duration: 0.45s;
    position: relative;
    padding-left: 50;
    padding-right: 50;
    top: 15%;
    width: auto;
    height: 30px;
}

#tab_menu #tab:hover {
    background-color: rgba(255, 255, 255, 0.60);
}

#tab_menu #linkedin-logo:hover {
    background-color: rgba(255, 255, 255, 0.60);
}

#tab_menu #github-logo:hover {
    background-color: rgba(255, 255, 255, 0.60);
}

.dark-mode-switch {
    position: absolute;
    top: 10px;
    right: 20px;
    display: flex;
    align-items: center;
    color: #000;
}

.dark-mode-switch input[type="checkbox"] {
    display: none;
}

.slider {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 25px;
    background-color: #330036;
    border-radius: 25px;
    transition: background-color 0.45s;
}

.slider::before {
    content: "";
    position: absolute;
    width: 21px;
    height: 21px;
    border-radius: 50%;
    background-color: white;
    top: 2px;
    left: 2px;
    transition: 0.45s;
}

input:checked + .slider {
    background-color: #330036;
}

input:checked + .slider::before {
    transform: translateX(25px);
}
